## START: Set by rpmautospec
## (rpmautospec version 0.7.2)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global         commit          a970afb68626ba0900fea235d824e76bf682536f
%global         srcname         omemo-dr
%global         forgeurl        https://dev.gajim.org/gajim/omemo-dr
Version:        1.0.1
%global         tag             v%{version}
%forgemeta

Name:           python-%{srcname}
Release:        %autorelease
Summary:        OMEMO Crypto Library

License:        GPL-3.0-only
URL:            %{forgeurl}
Source:         %{forgeurl}/-/archive/%{tag}/%{srcname}-%{version}.tar.gz


BuildRequires:  python3-devel
BuildRequires:  python3-pytest
BuildArch: noarch

%global _description %{expand:
This library handles only the crypto part of OMEMO, not the
XMPP protocol part. This means you need to take care yourself
of things like publishing/downloading bundles,
publishing/subscribing to PEP deviceliste updates, sending and
receiving messages.}

%description %_description

%package -n python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %_description


%prep
%autosetup -n %{srcname}-%{tag}-%{commit}

%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files omemo_dr -L

%check
%pytest

%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.md
%doc CHANGELOG.md
%license LICENSE

%changelog
## START: Generated by rpmautospec
* Tue Oct 22 2024 John Doe <packager@example.com> - 1.0.1-1
- Uncommitted changes
## END: Generated by rpmautospec
